Summary: Kernel loader which uses a FAT or iso9660 filesystem or a PXE network
Name: syslinux
Version: 3.07
Release: 2tr
License: GPL
Group: Trustix Official
Source0: ftp://ftp.kernel.org/pub/linux/utils/boot/syslinux/%{name}-%{version}.tar.bz2
ExclusiveArch: i386 i586 x86_64
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: nasm >= 0.98.38, perl, libpng-tools
Autoreq: 0
%ifarch i386
Requires: mtools, libc.so.6
%endif
%ifarch x86_64
Requires: mtools, libc.so.6()(64bit)
%endif

# NOTE: extlinux belongs in /sbin, not in /usr/sbin, since it is typically
# a system bootloader, and may be necessary for system recovery.
%define _sbindir /sbin

%package devel
Summary: Development environment for SYSLINUX add-on modules
Group: Trustix Official

%description
SYSLINUX is a suite of bootloaders, currently supporting DOS FAT
filesystems, Linux ext2/ext3 filesystems (EXTLINUX), PXE network boots
(PXELINUX), or ISO 9660 CD-ROMs (ISOLINUX).  It also includes a tool,
MEMDISK, which loads legacy operating systems from these media.

%description devel
The SYSLINUX boot loader contains an API, called COM32, for writing
sophisticated add-on modules.  This package contains the libraries
necessary to compile such modules.

%prep
%setup -q -n syslinux-%{version}

%build
perl -pi -e s/pngtopnm/png2pnm/g sample/Makefile
make CC="gcc -fno-stack-protector" clean
make CC="gcc -fno-stack-protector" installer
make CC="gcc -fno-stack-protector" -C sample tidy

%install
[ -n %{buildroot} -a %{buildroot} != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_libdir}/syslinux
mkdir -p %{buildroot}%{_includedir}
make CC="gcc -fno-stack-protector" install-all \
	INSTALLROOT=%{buildroot} BINDIR=%{_bindir} SBINDIR=%{_sbindir} \
	LIBDIR=%{_libdir} INCDIR=%{_includedir}
make CC="gcc -fno-stack-protector" -C sample tidy
cp mkdiskimage sys2ansi.pl keytab-lilo.pl %{buildroot}%{_libdir}/syslinux

%clean
[ -n %{buildroot} -a %{buildroot} != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc NEWS README* *.doc memdisk/*.doc COPYING
%doc sample
%{_bindir}/syslinux
%{_sbindir}/extlinux
%{_bindir}/ppmtolss16
%{_bindir}/lss16toppm
%{_bindir}/gethostip
%{_libdir}/syslinux/*.com
%{_libdir}/syslinux/*.exe
%{_libdir}/syslinux/*.c32
%{_libdir}/syslinux/*.bin
%{_libdir}/syslinux/*.0
%{_libdir}/syslinux/memdisk
%{_libdir}/syslinux/*.pl
%{_libdir}/syslinux/mkdiskimage

%files devel
%{_libdir}/syslinux/com32

%post

%postun

%changelog
* Fri Apr 08 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 3.07-1tr
- New Upstream

* Fri Mar 18 2005 Thushara Gopalakrishnan <thushara at comodo dot com>  3.02-2tr
- Rebuilt 

* Fri Jan  7 2005 Oystein Viggen <oysteivi at trustix dot com>
- Initial rpm for Trustix, based on H. Peter Anvin's rpm
